% endeavour by Muhammad Shoaib Sehgal
% Shoaib.Sehgal@gmail.com
% Shoaib.Sehgal@infotech.monash.edu.au
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all

FILLER = 9999; % The integer value used to mark the location of missing value.
% The software has been tested for 9999 and we recommend the use of same value. 

k = 5 

% Recommendations: 
%1- The complete filename with file extension should be provided
%2- To achieve best performance it is recommended to normalize the data
    %before imputing using CMVE
%3- k should always be less than the number of rows in the input matrix. 
    % For good performance, value of k=10 is recommended in the paper but it can vary depending upon the correlation structure of the data. 

fileName = 'testData.txt' % the file should be located in the same folder as cmve.dll or its path should be added to matlab base

% locR = Vector containing row number of missing values
% locC = Vector containing column indexes of missing values

% Example 1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
simMat = 1; % similarity matrix 
    %{1 = pearson, 2  = spearman, 3 = kendall, 4 = covariance}

[Yest,locR,locC] = cmve(fileName,FILLER,k,simMat); 
save Yest; %Yest = Estimated Matrix
save locR locR;
save locC locC;

% % Example 2
% Yest = cmve(fileName,FILLER,k,simMat);
% save Yest Yest;
% 
% % Example 3
% Yest = cmve(fileName);
% save Yest Yest;
% 
% % Example 4
% [Yest,locR,locC] = cmve(fileName); 
% save Yest;
% save locR locR;
% save locC locC;
% 
% % Example 5
% [Yest,locR,locC] = cmve(fileName,FILLER); 
% save Yest;
% save locR locR;
% save locC locC;




